# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mclib/version'

Gem::Specification.new do |spec|
  spec.name          = "mclib"
  spec.version       = MCLib::VERSION
  spec.authors       = ["Caleb Albritton"]
  spec.email         = ["ithinkincode@gmail.com"]
  spec.summary       = %q{Provides a pure Ruby API to vanilla minecraft.}
  spec.description   = %q{This library provides a Ruby API to vanilla minecraft by watching the log file and parsing the lines out into native objects and registering callbacks on server events such as login, chat, warnings and more.}
  spec.homepage      = "https://github.com/C0deMaver1ck/MCLib"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "filewatch"
  spec.add_runtime_dependency "eventmapper"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
end